Bug 219329 - [PATCH] net/foreman-proxy: update to 1.15.0
Summary: [PATCH] net/foreman-proxy: update to 1.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-16 11:24 UTC by Frank Wall
Modified: 2017-05-23 08:47 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
updated port (23.51 KB, application/x-shar)
2017-05-16 11:24 UTC, Frank Wall
no flags Details
poudriere log (26.45 KB, text/x-log)
2017-05-16 11:25 UTC, Frank Wall
no flags Details
patch for port (20.08 KB, text/plain)
2017-05-18 14:12 UTC, Frank Wall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Wall 2017-05-16 11:24:40 UTC
Created attachment 182631 [details]
updated port

This updates net/foreman-proxy to version 1.15.0 and fixes the port, as it has been broken for 4 months now.


ATTENTION: PLEASE, do NOT remove Gemfile/gemspec (again). These files are required to run foreman-proxy.
Comment 1 Frank Wall 2017-05-16 11:25:10 UTC
Created attachment 182632 [details]
poudriere log
Comment 2 Po-Chuan Hsieh freebsd_committer 2017-05-18 13:51:07 UTC
Please use 'svn diff' or 'diff' to generate the patch.
shar format is used for adding new ports.
Comment 3 Frank Wall 2017-05-18 14:12:39 UTC
Created attachment 182698 [details]
patch for port
Comment 4 Frank Wall 2017-05-18 14:14:02 UTC
@Po-Chuan Hsieh: Thanks, I've added a patch.
Comment 5 Po-Chuan Hsieh freebsd_committer 2017-05-19 15:45:56 UTC
FYI, you need to enable -t flag while running poudriere, it will help to catch plist and shebang error.
Comment 6 commit-hook freebsd_committer 2017-05-19 15:46:55 UTC
A commit references this bug:

Author: sunpoet
Date: Fri May 19 15:46:32 UTC 2017
New revision: 441245
URL: https://svnweb.freebsd.org/changeset/ports/441245

Log:
  Update to 1.15.0

  - While I'm here:
    - Fix shebang
    - Fix and sort PLIST
    - Regenerate patch files with makepatch:

  Changes:	https://theforeman.org/manuals/1.15/index.html#release-notes-for-115
  PR:		219329
  Submitted by:	Frank Wall <fw@moov.de>

Changes:
  head/net/foreman-proxy/Makefile
  head/net/foreman-proxy/distinfo
  head/net/foreman-proxy/files/patch-bin-smart-proxy
  head/net/foreman-proxy/files/patch-config-settings.d-puppetca.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-realm.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-realm_freeipa.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-tftp.yml.example
  head/net/foreman-proxy/files/patch-config-settings.yml.example
  head/net/foreman-proxy/files/patch-lib_proxy_http__download.rb
  head/net/foreman-proxy/pkg-plist
Comment 7 Po-Chuan Hsieh freebsd_committer 2017-05-19 15:48:31 UTC
Committed. Thanks!
Comment 8 Karli Sjöberg 2017-05-23 08:47:53 UTC
Hey all!

I have now tested building, installing and running the new version in DHCP, DNS, Puppet and TFTP proxies with great success. Thank you for your efforts!

/K